## utf8-locale 0.3.0

=== CMakeLists.txt ===
# Copyright (c) 2022  Peter Pentchev <roam@ringlet.net>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

cmake_minimum_required(VERSION 3.0.0)

set(U8_VERSION 0.3.0)
set(U8_SOVERSION 0)

project(utf8_locale VERSION ${U8_VERSION})

add_subdirectory(c)

=== c/CMakeLists.txt ===
# Copyright (c) 2022  Peter Pentchev <roam@ringlet.net>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

set(CPPFLAGS_STD -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 CACHE STRING "C preprocessor flags defining standards compliance")
set(CFLAGS_STD -std=c99 CACHE STRING "C compiler flags specifying the C dialect to use")

set(CFLAGS_WARN_GCC -Wall -W)
set(CFLAGS_WARN_BDE -Wall -W -pedantic -Wbad-function-cast -Wcast-align -Wcast-qual -Wchar-subscripts -Winline -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings)

option(USE_BDE_CFLAGS "Add some use GCC compiler warning flags for stricter checks" OFF)
if(USE_BDE_CFLAGS)
	set(CFLAGS_WARN_DEFAULT ${CFLAGS_WARN_BDE})
else()
	set(CFLAGS_WARN_DEFAULT ${CFLAGS_WARN_GCC})
endif()

option(USE_WERROR "Stop the build if any compiler warnings are emitted" OFF)
if(USE_WERROR)
	set(CFLAGS_WARN_WERROR -Werror)
else()
	set(CFLAGS_WARN_WERROR)
endif()

set(CFLAGS_WARN ${CFLAGS_WARN_DEFAULT} ${CFLAGS_WARN_WERROR} CACHE STRING "C compiler warning flags")

set(CPPFLAGS CACHE STRING "Base C preprocessor flags")
set(CPPFLAGS_FULL $CACHE{CPPFLAGS} $CACHE{CPPFLAGS_STD})

set(CFLAGS -g -pipe CACHE STRING "Base C compiler flags")
set(CFLAGS_FULL $CACHE{CFLAGS} $CACHE{CFLAGS_STD} $CACHE{CFLAGS_WARN})

set(U8_INCLUDEDIR "${CMAKE_CURRENT_SOURCE_DIR}/include")

add_subdirectory(u8loc)
add_subdirectory(utf8_locale)

=== c/u8loc/CMakeLists.txt ===
# Copyright (c) 2022  Peter Pentchev <roam@ringlet.net>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

add_executable(u8loc
	u8loc.c
)

target_compile_options(u8loc PRIVATE
	${CPPFLAGS_FULL}
	${CFLAGS_FULL}
)

target_link_libraries(u8loc LINK_PUBLIC
	utf8_locale
)

install(TARGETS u8loc RUNTIME)

=== c/utf8_locale/CMakeLists.txt ===
# Copyright (c) 2022  Peter Pentchev <roam@ringlet.net>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

add_library(utf8_locale SHARED
	detect.c
)

set_target_properties(utf8_locale PROPERTIES
	VERSION ${U8_VERSION}
	SOVERSION ${U8_SOVERSION}
)

target_compile_options(utf8_locale PRIVATE
	${CPPFLAGS_FULL}
	${CFLAGS_FULL}
)

target_include_directories(utf8_locale PUBLIC
	"${U8_INCLUDEDIR}"
)

install(TARGETS utf8_locale LIBRARY)
install(FILES
	"${U8_INCLUDEDIR}/utf8_locale.h"
	TYPE INCLUDE)

=== debian/changelog ===
utf8-locale (0.3.0-1) unstable; urgency=low

  * Initial release. Closes: #1005131

 -- Peter Pentchev <roam@debian.org>  Sun, 20 Feb 2022 17:58:02 +0200

=== debian/control ===
Source: utf8-locale
Section: text
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 cmake,
 debhelper (>> 13.3.2~),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://gitlab.com/ppentchev/utf8-locale
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-utf8-locale.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-utf8-locale

Package: libutf8-locale0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Detect a UTF-8-capable locale for running programs in - shared library
 Sometimes it is useful for a program to be able to run a child process and
 more or less depend on its output being valid UTF-8. This can usually be
 accomplished by setting one or more environment variables, but there is
 the question of what to set them to - what UTF-8-capable locale is present
 on this particular system? This is where the utf8_locale module comes in.
 .
 This package contains the libutf8_locale shared library.

Package: libutf8-locale-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Detect a UTF-8-capable locale for running programs in - development files
 Sometimes it is useful for a program to be able to run a child process and
 more or less depend on its output being valid UTF-8. This can usually be
 accomplished by setting one or more environment variables, but there is
 the question of what to set them to - what UTF-8-capable locale is present
 on this particular system? This is where the utf8_locale module comes in.
 .
 This package provides the development files for the libutf8_locale library.

Package: python3-utf8-locale
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3:any,
Description: Detect a UTF-8-capable locale for running programs in - Python library
 Sometimes it is useful for a program to be able to run a child process and
 more or less depend on its output being valid UTF-8. This can usually be
 accomplished by setting one or more environment variables, but there is
 the question of what to set them to - what UTF-8-capable locale is present
 on this particular system? This is where the utf8_locale module comes in.
 .
 This package provides the Python 3.x utf_locale module.

Package: u8loc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Detect a UTF-8-capable locale for running programs in
 Sometimes it is useful for a program to be able to run a child process and
 more or less depend on its output being valid UTF-8. This can usually be
 accomplished by setting one or more environment variables, but there is
 the question of what to set them to - what UTF-8-capable locale is present
 on this particular system? This is where the utf8_locale module comes in.
 .
 This package provides the u8loc command-line tool.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/devel/utf8-locale/ https://devel.ringlet.net/files/devel/utf8-locale/utf8-locale-@ANY_VERSION@@ARCHIVE_EXT@

## utf8-locale 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 cmake_minimum_required(VERSION 3.0.0)
 
-set(U8_VERSION 0.3.0)
+set(U8_VERSION 1.0.0)
 set(U8_SOVERSION 0)
 
 project(utf8_locale VERSION ${U8_VERSION})

=== debian/changelog ===
utf8-locale (1.0.0-2) unstable; urgency=medium

  * Add the forgotten -dev package dependency on the library one.
    Closes: #1035441
  * Add the year 2023 to my debian/* copyright notice
  * Declare compliance with Policy 4.6.2 with no changes

 -- Peter Pentchev <roam@debian.org>  Thu, 04 May 2023 21:30:41 +0300

utf8-locale (1.0.0-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Sun, 23 Oct 2022 00:55:41 +0300

utf8-locale (0.3.0-2) unstable; urgency=medium

  * The GitLab "master" branch was renamed to "main".
  * Fix the Vcs-Git and Vcs-Browser URLs.
  * Fix the Source URL in the copyright file.
  * Use the devel.ringlet.net URL as the homepage, too.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Sat, 26 Feb 2022 14:32:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0
-Homepage: https://gitlab.com/ppentchev/utf8-locale
+Standards-Version: 4.6.2
+Homepage: https://devel.ringlet.net/devel/utf8-locale/
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-utf8-locale.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-utf8-locale
+Vcs-Git: https://gitlab.com/ppentchev/utf8-locale.git -b debian/unstable
+Vcs-Browser: https://gitlab.com/ppentchev/utf8-locale/tree/debian/unstable
 
 Package: libutf8-locale0
 Section: libs
@@ -34,6 +34,7 @@
 Section: libdevel
 Architecture: any
 Depends:
+ libutf8-locale0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Detect a UTF-8-capable locale for running programs in - development files

## utf8-locale 1.0.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.0.0)

set(U8_VERSION 1.0.1)
set(U8_SOVERSION 0)

project(utf8_locale VERSION ${U8_VERSION})

add_subdirectory(c)

=== debian/changelog ===
utf8-locale (1.0.1-1) unstable; urgency=medium

  * New upstream release:
    - update the python-console patch: upstream switched to declarative
      PEP 517 metadata in the pyproject.toml file
    - update the build dependencies for the Python 3.x module: upstream
      switched to hatchling for the PEP 517 build
    - update the copyright file: upstream switched to yearless
      copyright notices

 -- Peter Pentchev <roam@debian.org>  Sat, 01 Jul 2023 16:00:38 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
+ python3-hatch-requirements-txt,
 Standards-Version: 4.6.2
 Homepage: https://devel.ringlet.net/devel/utf8-locale/
 Rules-Requires-Root: no

## utf8-locale 1.0.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16.0)

set(U8_VERSION 1.0.1)
set(U8_SOVERSION 0)

project(utf8_locale VERSION ${U8_VERSION})

add_subdirectory(c)

=== c/CMakeLists.txt ===
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

set(CPPFLAGS_STD -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 CACHE STRING "C preprocessor flags defining standards compliance")
set(CFLAGS_STD -std=c99 CACHE STRING "C compiler flags specifying the C dialect to use")

set(CFLAGS_WARN_GCC -Wall -W)
set(CFLAGS_WARN_BDE -Wall -W -pedantic -Wbad-function-cast -Wcast-align -Wcast-qual -Wchar-subscripts -Winline -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings)

option(USE_BDE_CFLAGS "Add some use GCC compiler warning flags for stricter checks" OFF)
if(USE_BDE_CFLAGS)
	set(CFLAGS_WARN_DEFAULT ${CFLAGS_WARN_BDE})
else()
	set(CFLAGS_WARN_DEFAULT ${CFLAGS_WARN_GCC})
endif()

option(USE_WERROR "Stop the build if any compiler warnings are emitted" OFF)
if(USE_WERROR)
	set(CFLAGS_WARN_WERROR -Werror)
else()
	set(CFLAGS_WARN_WERROR)
endif()

set(CFLAGS_WARN ${CFLAGS_WARN_DEFAULT} ${CFLAGS_WARN_WERROR} CACHE STRING "C compiler warning flags")

set(CPPFLAGS CACHE STRING "Base C preprocessor flags")
set(CPPFLAGS_FULL $CACHE{CPPFLAGS} $CACHE{CPPFLAGS_STD})

set(CFLAGS -g -pipe CACHE STRING "Base C compiler flags")
set(CFLAGS_FULL $CACHE{CFLAGS} $CACHE{CFLAGS_STD} $CACHE{CFLAGS_WARN})

set(U8_INCLUDEDIR "${CMAKE_CURRENT_SOURCE_DIR}/include")

add_subdirectory(u8loc)
add_subdirectory(utf8_locale)

=== c/u8loc/CMakeLists.txt ===
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(u8loc
	u8loc.c
)

target_compile_options(u8loc PRIVATE
	${CPPFLAGS_FULL}
	${CFLAGS_FULL}
)

target_link_libraries(u8loc LINK_PUBLIC
	utf8_locale
)

install(TARGETS u8loc RUNTIME)

=== c/utf8_locale/CMakeLists.txt ===
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

add_library(utf8_locale SHARED
	detect.c
)

set_target_properties(utf8_locale PROPERTIES
	VERSION ${U8_VERSION}
	SOVERSION ${U8_SOVERSION}
)

target_compile_options(utf8_locale PRIVATE
	${CPPFLAGS_FULL}
	${CFLAGS_FULL}
)

target_include_directories(utf8_locale PUBLIC
	"${U8_INCLUDEDIR}"
)

install(TARGETS utf8_locale LIBRARY)
install(FILES
	"${U8_INCLUDEDIR}/utf8_locale.h"
	TYPE INCLUDE)

=== debian/changelog ===
utf8-locale (1.0.3-2) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debputy's X-Style: black.
  * Switch to debhelper compat level 14:
    - use X-DH-Compat
    - let debhelper handle some dependencies automatically

 -- Peter Pentchev <roam@debian.org>  Tue, 31 Dec 2024 17:36:42 +0200

utf8-locale (1.0.3-1) unstable; urgency=medium

  * Include dpkg's default.mk for completeness.
  * Add the year 2024 to my debian/* copyright notice.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata.
  * New upstream release:
    - point the watch file to the new upstream download page
    - refresh the line numbers in the python-console patch
  * Follow upstream's switch to yearless copyright notices.

 -- Peter Pentchev <roam@debian.org>  Wed, 28 Feb 2024 01:37:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
  cmake,
- debhelper (>> 13.3.2~),
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
  dh-sequence-python3,
+ dpkg-build-api (= 1),
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatch-requirements-txt,
  python3-hatchling,
- python3-hatch-requirements-txt,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
+X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/devel/utf8-locale/
-Rules-Requires-Root: no
 Vcs-Git: https://gitlab.com/ppentchev/utf8-locale.git -b debian/unstable
 Vcs-Browser: https://gitlab.com/ppentchev/utf8-locale/tree/debian/unstable
+X-Style: black
 
 Package: libutf8-locale0
 Section: libs
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
 Description: Detect a UTF-8-capable locale for running programs in - shared library
  Sometimes it is useful for a program to be able to run a child process and
  more or less depend on its output being valid UTF-8. This can usually be
@@ -36,8 +36,6 @@
 Architecture: any
 Depends:
  libutf8-locale0 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
 Description: Detect a UTF-8-capable locale for running programs in - development files
  Sometimes it is useful for a program to be able to run a child process and
  more or less depend on its output being valid UTF-8. This can usually be
@@ -51,8 +49,6 @@
 Section: python
 Architecture: all
 Depends:
- ${misc:Depends},
- ${python3:Depends},
  python3:any,
 Description: Detect a UTF-8-capable locale for running programs in - Python library
  Sometimes it is useful for a program to be able to run a child process and
@@ -65,9 +61,6 @@
 
 Package: u8loc
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
 Description: Detect a UTF-8-capable locale for running programs in
  Sometimes it is useful for a program to be able to run a child process and
  more or less depend on its output being valid UTF-8. This can usually be

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

export PYBUILD_NAME=utf8-locale

%:
	dh '$@'

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake
	dh_auto_configure --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=cmake
	dh_auto_build --buildsystem=pybuild

override_dh_auto_test::
	dh_auto_test --buildsystem=cmake
	dh_auto_test --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	dh_auto_install --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean --buildsystem=cmake
	dh_auto_clean --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -B -u tests/functional.py -p /usr/bin/u8loc
Depends:
 python3,
 python3-feature-check,
 @,
Features:
 test-name=upstream-func-c,
Restrictions:
 allow-stderr,

Test-Command: python3 -B -u tests/functional.py -p debian/tests/py-u8loc.sh
Depends:
 python3,
 python3-feature-check,
 @,
Features:
 test-name=upstream-func-py,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/devel/utf8-locale/download/ https://devel.ringlet.net/files/devel/utf8-locale/utf8-locale-@ANY_VERSION@@ARCHIVE_EXT@
